module scRAM(clk, we, address, data, q);

	input	[8:0]  address;
	input	[3:0]  data;
	input	  clk;
	input	  we;
	output	[3:0]  q;

	wire [3:0] sub_wire0;
	wire [3:0] q = sub_wire0[3:0];

	lpm_ram_dq	lpm_ram_dq_component (
				.outclock (clk),
				.address (address),
				.inclock (clk),
				.data (data),
				.we (we),
				.q (sub_wire0));
	defparam
		lpm_ram_dq_component.intended_device_family = "FLEX10K",
		lpm_ram_dq_component.lpm_address_control = "REGISTERED",
		lpm_ram_dq_component.lpm_indata = "REGISTERED",
		lpm_ram_dq_component.lpm_outdata = "REGISTERED",
		lpm_ram_dq_component.lpm_type = "LPM_RAM_DQ",
		lpm_ram_dq_component.lpm_width = 4,
		lpm_ram_dq_component.lpm_widthad = 9;


endmodule